package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.tzhl.service.airport.TZHLGetAirportListService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/4/26
 */
@Service
@Slf4j
public class GetAirportVideoService {

    @Autowired
    private TZHLGetAirportListService tzhlGetAirportListService;



    public JsonResult getAirportVideo(Integer airportId) {

        List<Long> ids = new ArrayList<>();
        ids.add((long)airportId);

        JsonResult result = tzhlGetAirportListService.getAirportList(ids);
        if(result.getCode() != 0){
            return JsonResult.error(result.getCode());
        }

        return result;

    }
}
